## ippl 1.4.14

=== debian/changelog ===
ippl (1.4.14-15) unstable; urgency=medium

  * split Build-Depends
  * add debian/gbp.conf
  * override all "patch not forwarded" lintian errors.
    There is no upstream any more that we could forward to
  * Standards-Version: 4.7.2 (no changes necessary)
  * rename debian/ippl.tmpfile -> debian/ippl.tmpfiles
  * add systemd service unit. (Closes: #1039237)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 23 Oct 2025 21:06:09 +0200

ippl (1.4.14-14) unstable; urgency=medium

  [ Marc Haber ]
  * create RUNDIR, use CONFFILE variable.
    Thanks to Matus UHLAR - fantomas (Closes: #1042760)
  * make shellcheck a bit more happy
  * clean up config. files in clean.
    Thanks to Lucas Nussbaum (Closes: #1048753)
  * Code patches:
    * do not use log as a variable name
    * add missing includes, allow building again
    * man page fixes
    * use snprintf instead of strcpy
    * use correct prototype for syslog()
    * (Closes: #1066218)
  * fix hardening
  * depend on sysvinit-utils instead of lsb-base
  * fix patch headers
  * fix debian/copyright

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Fix day-of-week for changelog entries 1.4.12-4, 1.4.8-1.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 18 Jun 2025 21:55:24 +0200

ippl (1.4.14-13) unstable; urgency=medium

  * modernize package
    * move to salsa
    * activate salsa-ci
    * quilt instead of dpatch
      * add DEP-3 patch tags
      * remove extra manual page patch
    * dh instead of cdbs
      * add patch to honor DESTDIR on install
  * control file:
    * make maintainer point to PTS
    * run wrap-and-sort
    * remove explicit ippl-dbg
    * priority optional
    * add ${misc:Pre-Depends} dependency
    * add Vcs fields
    * add Rules-Requires-Root: no
    * Standards-Version: 4.6.0
  * Ex-Upstream has deleted their home page
  * convert some files from ISO-8859-1 to UTF-8
  * maintainer scripts
    * remove ancient cruft
    * make lintian happy, set -e explicitly
  * remove trailing whitespace from changelog lines
  * have d/copyright refer directly to GPL-2
  * override some pedantic lintian stuff
  * move /var/run/ippl to /run/ippl

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 23 Dec 2021 13:41:09 +0100

ippl (1.4.14-12.2) unstable; urgency=medium

  * Non-maintainer upload with maintainer's permission.
  * Fix "Depends on virtual package "perl5-base" which is gone with
    perl/5.22":
    Remove perl5-base in debian/control, don't add perl-base since it's
    essential anyway.
    (Closes: #808412)

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Dec 2015 22:16:14 +0100

ippl (1.4.14-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: log.c:150:5: error: format not a string literal and no
    format arguments [-Werror=format-security]": new patch
    60-format-security.dpatch: adds format arguments.
    Closes: #643409

 -- gregor herrmann <gregoa@debian.org>  Wed, 21 Dec 2011 18:00:26 +0100

ippl (1.4.14-12) unstable; urgency=low

  * Fix wrong logic in /lib/lsb/init-functions processing. Closes: #565495
  * depend on lsb-base
  * run update_ippl_conf even on restart. duh.
  * put -dbg package in Section debug
  * add Homepage: field
  * add debian/README.source
  * add ${misc:Depends} to binary packages
  * Yes, this package is going to keep 1.0 format, add debian/source/format
  * re-generate debian/control
  * depend on debhelper 5
  * Standards-Version: 3.9.0 (no other changes necessary)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 29 Jun 2010 15:54:50 +0200

ippl (1.4.14-11) unstable; urgency=low

  * init script:
    - do not call start-stop-daemon directly in favor
      of LSB functions. Closes: #450647
    - update ippl.conf in case of restart. Closes: #453454
  * Standards-Version: 3.7.3 (no changes necessary)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 02 Feb 2008 16:36:52 +0100

ippl (1.4.14-10) unstable; urgency=low

  * restart ippl instead of the now-defunct reload in logrotate script.
    Thanks to TANAKA Atushi.
  * do not strip binary during installation.
    Thanks to Julien Danjou. Closes: #437218
  * Add -dbg package, set debian/compat to 5
  * re-generate debian/control
  * move package-specific debian/ files to ippl.*
  * postrm: do not abort if perl-modules not found during deluser.
    Thanks to Josip Rodin. Closes: #421094

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 11 Aug 2007 10:03:24 +0200

ippl (1.4.14-9) unstable; urgency=low

  * rm -f config.* on clean. Thanks to Patrick Winnert and Sune Vuorela.
    Closes: #424420.
  * Add patch from Narayanan R S to fix privilege drop and
    re-attachment to sockets. This removes the capability to reload the
    configuration. Adapt the init script appropriately. Closes: #420933.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 20 May 2007 12:06:50 +0200

ippl (1.4.14-8) unstable; urgency=low

  * postrm:
    * Fix deluser call, the --home parameter does not exist any more.
    * Handle gracefully the case that deluser does not exist during
      package purge.
    * Thanks to Bill Allombert and Vincent Zweije. Closes: #389765
  * Create /var/run/ippl in init script. Closes: #390154
  * lsb-ize init script. Closes: #377027
  * give absolute time for upstream inactivity
  * regenerate debian/control
  * Standards-Version: 3.7.2:
    * use invoke-rc.d in logrotate file
  * debian/rules: remove workaround for cdbs bug #284231

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun,  1 Oct 2006 14:24:27 +0000

ippl (1.4.14-7) unstable; urgency=low

  * add upstream URL to package description
  * adapt debian/copyright
  * add debian/watch
  * Document portresolve/noportresolve in ippl.conf, re-word man page.
    Thanks to Matus Uhlar. Closes: #306243

