=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -O2
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,now

DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/default.mk

%:
	dh $@

execute_after_dh_auto_clean:
	rm -f config.log config.status
